
Infrastructure - Bug #718

Random selection of metacat identifiers seem to have extra whitespace at end

2010-07-22 15:04 - Dave Vieglais

Status: Closed Start date:  

Priority: High Due date:  

Assignee: Chad Berkley % Done: 100%

Category: Metacat Estimated time: 0.00 hour

Target version: CCI-0.4   

Milestone: None Story Points:  

Product Version: *   

Description

Some of the identifiers returned in listObjects from Metacat seem to have whitespace appended.  Identifiers should not have

whitespace at the start or end of the string.

e.g. http://knb-mn.ecoinformatics.org/knb/object?count=1

<?xml version="1.0" encoding="UTF-8"?>

knb:testid:20102035342730  eml://ecoinformatics.org/eml-2.1.0

4d6537f48d2967725bfcc7a9f0d5094ce4088e0975fcd3f1a361f15f46e49f83

2010-07-22T18:58:45.565Z

12

/d1:objectList

History

#1 - 2010-07-26 17:14 - Chad Berkley

- Status changed from New to Closed

this was a bug in the list objects interface.  it wasn't trimming the whitespace from the metacat query result document.
